#include <SoftwareSerial.h>

#define relay1 4
#define relay2 5
#define relay3 6
#define relay4 7

SoftwareSerial bt(2, 3); // RX, TX
char dataIn;

void setup() {
  Serial.begin(9600);
  bt.begin(9600);

  Serial.println("AndroMotor");

  pinMode(relay1, OUTPUT);    // kontak On / Off
  pinMode(relay2, OUTPUT);    // starter motor
  pinMode(relay3, OUTPUT);    // buka jok
  pinMode(relay4, OUTPUT);
}

void loop() {
  if (bt.available()){
    dataIn = bt.read();
    Serial.println(dataIn);
  }
  
  if (dataIn == 'a'){
    digitalWrite(relay1, HIGH);           //relay aktif high
    Serial.println("Kontak Motor ON");
  }

  if (dataIn == 'b'){
    digitalWrite(relay1, LOW);
    Serial.println("Kontak Motor OFF");
  }

  if (dataIn == 'c'){
    digitalWrite(relay2, HIGH);
    Serial.println("Starter");
    delay(500);                  //silahkan atur waktu lama nya starter motor (2 detik = 2000)
    digitalWrite(relay2, LOW);
    dataIn = 'x';
  }
  if (dataIn == 'd'){
    digitalWrite(relay3, HIGH);
    delay (50);
    digitalWrite(relay3, LOW);
    Serial.println("Buka Jok");
    dataIn = 'x';
  }
}
 
